Bug 7175 - [UPDATE REQUEST] kmymoney 4.7.2 -> 4.8.0, gnucash 2.6.7 -> 2.6.12
: [UPDATE REQUEST] kmymoney 4.7.2 -> 4.8.0, gnucash 2.6.7 -> 2.6.12
Status: RESOLVED LATER
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
http://www.gnucash.org/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-04 19:02 MSD by Andrey Bondrov
Modified: 2017-05-23 16:44 MSD (History)
4 users (show)

See Also:
RPM Package: various
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-07-04 19:02:05 MSD
New versions of kmymoney and gnucash were released. They require update of gwenhywfar and aqbanking (our current versions are very outdated).
Comment 1 Andrey Bondrov 2016-07-04 19:05:18 MSD
Advisory: "Update gwenhywfar to new version 4.15.3"

https://abf.rosalinux.ru/build_lists/2684769
https://abf.rosalinux.ru/build_lists/2684770

Advisory: "Update aqbanking to new version 5.6.10"

https://abf.rosalinux.ru/build_lists/2684775
https://abf.rosalinux.ru/build_lists/2684776

Advisory: "Update libchipcard to new version 5.0.4"

https://abf.rosalinux.ru/build_lists/2684773
https://abf.rosalinux.ru/build_lists/2684774

Advisory: "Update kmymoney to new version 4.8.0"

https://abf.rosalinux.ru/build_lists/2684820
https://abf.rosalinux.ru/build_lists/2684821

Advisory: "Update gnucash to new version 2.6.12"

https://abf.rosalinux.ru/build_lists/2684816
https://abf.rosalinux.ru/build_lists/2684817

P.S. It's a low priority update and it doesn't require much testing. We just need to be sure new versions work (don't segfault etc).
Comment 2 Vladimir Potapov 2016-07-07 16:06:19 MSD
gnucash fail
Backtrace:
In ice-9/boot-9.scm:
 157: 18 [catch #t #<catch-closure 96480b0> ...]
In unknown file:
   ?: 17 [apply-smob/1 #<catch-closure 96480b0>]
In ice-9/boot-9.scm:
2789: 16 [#<procedure 95fa760 at ice-9/boot-9.scm:2777:4 (name #:optional autoload version #:key ensure)> # ...]
3065: 15 [try-module-autoload (gnucash main) #f]
2401: 14 [save-module-excursion #<procedure 976f870 at ice-9/boot-9.scm:3066:17 ()>]
3085: 13 [#<procedure 976f870 at ice-9/boot-9.scm:3066:17 ()>]
In unknown file:
   ?: 12 [primitive-load-path "gnucash/main" ...]
In main.scm:
  34: 11 [#<procedure 9771470 ()>]
In ice-9/boot-9.scm:
3597: 10 [process-use-modules (((gnucash core-utils)))]
 702: 9 [map #<procedure 9602ad0 at ice-9/boot-9.scm:3597:25 (mif-args)> ((#))]
3598: 8 [#<procedure 9602ad0 at ice-9/boot-9.scm:3597:25 (mif-args)> (#)]
2864: 7 [resolve-interface (gnucash core-utils) #:select ...]
2789: 6 [#<procedure 95fa760 at ice-9/boot-9.scm:2777:4 (name #:optional autoload version #:key ensure)> # ...]
3065: 5 [try-module-autoload (gnucash core-utils) #f]
2401: 4 [save-module-excursion #<procedure 976f3a8 at ice-9/boot-9.scm:3066:17 ()>]
3085: 3 [#<procedure 976f3a8 at ice-9/boot-9.scm:3066:17 ()>]
In unknown file:
   ?: 2 [primitive-load-path "gnucash/core-utils" ...]
In core-utils.scm:
  34: 1 [#<procedure 9781a00 ()>]
In unknown file:
   ?: 0 [load-extension "libgnc-core-utils" "scm_init_sw_core_utils_module"]

ERROR: In procedure load-extension:
ERROR: In procedure dynamic-link: file: "libgnc-core-utils", message: "file not found"
Comment 3 Andrey Bondrov 2016-07-11 21:54:08 MSD
Gnucash work work now.

Advisory: "Update gwenhywfar to new version 4.15.3"

https://abf.rosalinux.ru/build_lists/2684769
https://abf.rosalinux.ru/build_lists/2684770

Advisory: "Update aqbanking to new version 5.6.10"

https://abf.rosalinux.ru/build_lists/2684775
https://abf.rosalinux.ru/build_lists/2684776

Advisory: "Update libchipcard to new version 5.0.4"

https://abf.rosalinux.ru/build_lists/2684773
https://abf.rosalinux.ru/build_lists/2684774

Advisory: "Update kmymoney to new version 4.8.0"

https://abf.rosalinux.ru/build_lists/2684820
https://abf.rosalinux.ru/build_lists/2684821

Advisory: "Update gnucash to new version 2.6.12"

https://abf.rosalinux.ru/build_lists/2688867
https://abf.rosalinux.ru/build_lists/2688868
Comment 4 Vladimir Potapov 2016-07-15 10:54:20 MSD
Что-то странное

urpmi kmymoney
GOT: lib64gwengui-gtk2_0-4.15.3-1-rosa2014.1.x86_64
GOT: lib64gwengui-qt4_0-4.15.3-1-rosa2014.1.x86_64
Не удаётся установить запрошенный пакет:
aqbanking-5.6.10-1-rosa2014.1.x86_64 (из-за неудовлетворённости libaqnone.so.35()(64bit))
Продолжить установку? (Y/n) n
Comment 5 Vladimir Potapov 2016-08-10 07:49:29 MSD
************************
QA Denied
Comment 6 Zombie Ryushu 2016-08-14 08:56:47 MSD
There is a new version of gnucash, 2.6.13, can we see if that will pass QA?
Comment 7 Zombie Ryushu 2016-11-02 20:21:55 MSK
here is a new version of gnucash, 2.6.14?,

Between 2.6.13 and 2.6.14, the following bugfixes were accomplished:

    Bug 643025 - RFE: Ability to select and open multiple invoices.
    Bug 733153 - Ambiguous view of buttons in search dialog Linux version.
    Bug 742461 - SQL backend doesn't update customer info.
    Bug 756416 - CSV data with Posted information will always have last invoice not posted
    Bug 761667 - Crash opening associated location that has no scheme.
    Bug 762901 - [PATCH] Fix saving Account Treeview sort order.
    Bug 769730 - Investments: Lots in This Account, Closed column shows date 25/11/1833 instead of Open.
    Bug 769746 - Zero interest loan formula fails.
    Bug 770113 - compiling issue with libdbi.
    Bug 770136 - 'Reverse Order' in 'View'->'Sort by' is not saved.
    Bug 770181 - gnc-fq-dump incorrectly says "quote cannot be used...
    Bug 770196 - cppcheck va_list not closed.
    Bug 770303 - Incorrect commodity match during import OFX and possible solution.
    Bug 771246 - Set Invoice/Bill items date correctly from imported CSV.
    Bug 771379 - GnuCash doesn't support Russian Ruble Symbol.

Some other fixes not associated with reported bugs:

    Build improvements with CMake, accomodation for Guile-2.0.12 on Gentoo.
    Change the date_posted timestamp from midnight local to 11:00 AM GMT, which will be the same date in nearly all timezones.
    SX - Recalculate all occurrences of all SX if the calendar is updated to start on another month
    SX Window: correctly show first sx on calendar when it is moved to next weekday.
    Work around libofx bug which caused OFX imports to have the wrong date_posted when in an eastern-hemisphere timezone and not daylight time.
    Indicate in the register when a transaction has an associated file or URI. The indicator will appear in the "reconciled" column in the second transaction line (enable double-line view to see it).
Comment 8 Denis Silakov 2017-01-28 18:30:26 MSK
This update happened in rosa2016.1. Too many changes/rebuilds to backport this to rosa2014.1
Comment 9 Zombie Ryushu 2017-05-23 16:44:30 MSD
GnuCash 2.6.16 was released. 

Between 2.6.15 and 2.6.16, the following bugfixes were accomplished:

    Bug 516920 - Calendar Pop up disappears of the left side.
    Bug 603379 - Prevent changing some Account Options if it has transactions.
    Bug 670731 - Future Value not working with Loan Scheduled transaction.
    Bug 739571 - Matching imported transactions doesn't indicate previously matched entries.
    Bug 759934 - Tiny reports in HiDPI (workaround).
    Bug 766630 - gui dialog for sorting transactions to accounts after aqbanking import broken.
    Bug 767032 - Bad invoices from importing "posted" needing currency conversion Only auto-post if the posted_to account name is valid, there's no currency conversion, or the invoice customer's currency matches the A/R account currency. Tell the user what happened with a dialog.
    Bug 773945 - Select Security Dialog Not User Friendly: Add a new namespace “ALL NON-CURRENCY” to the namespace (type) selector lists on the security picker and price editor which causes the commodity list to include all non-security commodities.
    Bug 776247 - PriceEditor thinks Currency XXX is an actual currency and tries to retrieve prices for it.
    Bug 776380 - Gross value of bills charged back instead of net value.
    Bug 776494 - Wrong menu entry in Tip of the day.
    Bug 776517 - Trial Balance Report: Total Debits Issue re $0 Commodity Accounts and Price Source Mode Set to "Nearest in Time" or "Most Recent".
    Bug 776564 - Creating a scheduled transaction from an existing transaction does not include the notes field.
    Bug 778208 - Scheduling 2nd, 3rd or 4th Wed doesn't seem to work.
    Bug 779217 - Transactions rounded to 5 decimal places when opening file.
    Bug 779411 - jqplot fixes for piechart and syntax error.
    Bug 777875 - Reports with charts are flickering in certain circumstances.
    Bug 777949 - Accounts implicitly created in ledger attempt creation twice.

Some other fixes not associated with reported bugs:

    Use "Billing Information" as in other biz modules.
    Update local symbol for MUR.
    Online banking: Add output of bank messages that might occasionally be received.
    Allow only date entry for opening balances on new accounts.
    Enable taxinvoice to show net price: Add gncEntryGetNetPrice. Create an option in taxinvoice to either use gncEntryGetNetPrice or gncEntryGetPrice.
    Make SQL full-DB sync safer and clean up automatically if it's interrupted by a system or network failure.
    Extend account color to all columns in the account hierarchy page.
    li>
    Localize the word “CURRENCY” used in the commodity namespace selectors.